Bug 1016456 - [ovirt-guest-agent] 169.254/16 should not be reported
[ovirt-guest-agent] 169.254/16 should not be reported
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Barak
Pavel Stehlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 04:26 EDT by Jiri Belka
Modified: 2016-02-10 14:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:55:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-10-08 04:26:55 EDT
Description of problem:
Windows guest agent from 3.3.6 reported temporarily for a Windows 8 32bit guest following IPs:

guestIPs = 169.254.107.112 10.34.61.243

169.254/16 should never be reported. it's dedicated when there's an issue with dhcp.

-%-
Thread-35892::DEBUG::2013-10-08 07:39:21,280::BindingXMLRPC::981::vds::(wrapper) return vmGetStats with {'status': {'message': 'Done', 'code': 0}, 'statsList': [{'username': '', 'memUsage': '33', 'acpiEnable': 'true', 'guestFQDN': u'jb-w8-x86.rhev.lab.eng.brq.redhat.com', 'pid': '2165', 'session': 'Unknown', 'displaySecurePort': u'5901', 'timeOffset': '3600', 'balloonInfo': {'balloon_max': '1048576', 'balloon_target': '1048576', 'balloon_cur': '1048576', 'balloon_min': '1048576'}, 'pauseCode': 'NOERR', 'disksUsage': [{u'path': u'c:\\', u'total': '21105733632', u'used': '7691403264', u'fs': u'NTFS'}], 'network': {u'vnet0': {'macAddr': '00:1a:4a:ca:60:9d', 'rxDropped': '0', 'rxErrors': '0', 'txDropped': '0', 'txRate': '0.0', 'rxRate': '0.0', 'txErrors': '0', 'state': 'unknown', 'speed': '1000', 'name': u'vnet0'}}, 'vmType': 'kvm', 'guestName': u'JB-W8-X86', 'elapsedTime': '93', 'memoryStats': {u'swap_out': '0', u'majflt': '0', u'mem_free': '696472', u'swap_in': '0', u'pageflt': '0', u'mem_total': '1048152', u'mem_unused': '696472'}, 'cpuSys': '1.93', 'appsList': [u'RHEV-Tools 3.3.6', u'RHEV-Serial 3.3.2', u'RHEV-SCSI 3.3.2', u'RHEV-Agent 3.3.4', u'RHEV-Block 3.3.1', u'RHEV-Balloon 3.3.2', u'RHEV-Spice-Agent 3.3.2', u'RHEV-QGA 3.3.2', u'RHEV-SSO 3.3.1', u'RHEV-Network 3.3.1'], 'guestOs': u'Win 8', 'displayType': 'qxl', 'status': 'Running', 'hash': '4908678487199624478', 'vmId': '4b8b55a8-1152-40a1-ba4c-346dac1ff2e8', 'displayIp': '0', 'displayPort': u'5900', 'clientIp': '', 'kvmEnable': 'true', 'disks': {u'vda': {'readLatency': '2993981', 'apparentsize': '3348824064', 'writeLatency': '6045740', 'imageID': '704ac65c-b82c-4c89-a1d1-8c68c8245761', 'flushLatency': '455129', 'readRate': '9160917.29', 'truesize': '3350413312', 'writeRate': '497775.94'}, u'hdc': {'readLatency': '0', 'apparentsize': '0', 'writeLatency': '0', 'flushLatency': '0', 'readRate': '0.00', 'truesize': '0', 'writeRate': '0.00'}}, 'monitorResponse': '0', 'statsAge': '0.36', 'cpuUser': '9.71', 'lastLogin': 1381217886.887325, 'guestIPs': u'169.254.107.112 10.34.61.243', 'netIfaces': [{u'hw': u'00:1a:4a:ca:60:9d', u'name': u'Red Hat VirtIO Ethernet Adapter', u'inet': [u'169.254.107.112', u'10.34.61.243'], u'inet6': [u'fe80::d43a:fd55:d36c:6b70', u'2620:52:0:223c:a178:7551:cceb:2ecc', u'2620:52:0:223c:d43a:fd55:d36c:6b70']}]}]}
-%-

Version-Release number of selected component (if applicable):
3.3.6

How reproducible:
temporarily when VM starts but not always :)

Steps to Reproduce:
1.???
2.
3.

Actual results:
GA report both real IP and private ip dedicated to dhcp issue

Expected results:
either report only real IP or nothing

Additional info:
after next cycle 169.254/16 IP disappear!
Comment 1 Itamar Heim 2013-10-09 03:30:55 EDT
well, unless the entire network is without dhcp and get 169.254 addresses?
livnat - thoughts?
Comment 2 Jiri Belka 2013-10-09 03:57:29 EDT
Do not forget this:

guestIPs = 169.254.107.112 10.34.61.243

Both were reported!
Comment 3 lpeer 2013-11-07 02:27:20 EST
I think the GA should be loyal to what is configured on the guest, not reporting the Link-Local address potentially hides a problem instead of exposing it to the admin.

> Do not forget this:
> guestIPs = 169.254.107.112 10.34.61.243
> Both were reported!

According to RFC 3927 [1], that defines the auto-allocation mechanism it is not recommended that IPv4 Link-Local addresses and routable addresses be configured simultaneously on the same interface.
In this case the GA is reflecting the (bad) existing state.


My take on this is that unlike the loop back IP address the Link-Local address is meaningful thus it should be reported by the guest agent.

[1] http://tools.ietf.org/html/rfc3927(In reply to Jiri Belka from comment #2)
Comment 4 lpeer 2013-11-10 01:55:01 EST
Per my comment above I'm closing this bug, but please feel free to reopen in case you think the issue should be addressed in another way.

Note You need to log in before you can comment on or make changes to this bug.